/*
 *  test module main.c
 *
 *	This program source code and it's compiled version is
 *  Copyright (c) 1991 N. Hawthorn.
 *  This program source code and it's compiled version IS NOT IN THE
 *  PUBLIC DOMAIN ! Please read the "COPYRIGHT NOTICE / NH" file for details
 *  regarding use of this program source code and it's compiled version.
 *
 *  This module's name is "Example2", it's type is "MOD1", it's ID is 130
 *  because we know the menu module's ID is 128. Normally a resource mover
 *  would assign a new number to it, that's why we name our modules !
 *
 * This is where it all starts...
 *
 */

#define INMAIN

#include <SetUpA4.h>
#include "MUBBS Module.h"


pascal void main (mode1,G1,P1) /* called from the main routines, and what mode to be in */
int mode1;
struct GS *G1; /* we point to the "global" struct in the Main Module here */
Ptr P1;
{
Handle temph;
float version = 0.5; /* what version of MUBBS you are compatable with IE: .5 and above */
RememberA0(); SetUpA4(); /* This sets up the A4 register to access our globals */
asm { _RecoverHandle }; asm {move.l a0,temph}; HLock(temph); /* locks our module, do this ! */

G=G1; /* This MUST be the first thing you do in main only, it sets up our globals */
mode[u]=mode1; /* set up our mode so that you can read it anywhere */

switch (mode[u]) { /* any un-handled modes return error from this module */
	case 2:
	case 3:
		tests(P1); /* we actually handle both calls by looking at pointer NIL */
		G->moduleresult=0;
		break;
	case 98:
		versionck(version); /* just return after this call, don't modify anything */
		break;		
	case 0:
		strcpy (G->programmer,"N Hawthorn"); /* show the programmer's name up to 20 chars*/
		G->moduleresult=0; /* this was also a init call if we need close call put 99 here */
		break;
	default:
		G->moduleresult=1; /* return bad code */
	};

HUnlock(temph); /* unlocks this module, do this ! */
RestoreA4(); /* call this when you are all done */
}


